Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.security.jazn
Class JboJAZNPolicyManager

`java.lang.Object
oracle.jbo.server.security.jazn.JboJAZNPolicyManager`

All Implemented Interfaces:
  JboJAASPolicyManager

public class JboJAZNPolicyManager
extends java.lang.Object
implements JboJAASPolicyManager

Field Summary
`static java.lang.String` | `ENTITY_PERMISSION_CLASS`
`static java.lang.String` | `ENTITYATTRIBUTE_PERMISSION_CLASS`

Constructor Summary
`JboJAZNPolicyManager(JboJAASContext ctx)`

Method Summary
`oracle.security.jazn.policy.JAZNPolicy` | `getGlobalPolicy()`
`JboJAASContext` | `getJAASContext()`
`byte` | `getPermission(java.lang.String realmrole, java.lang.String target, java.lang.String permClass)`
`byte` | `getPermission(java.lang.String role, java.lang.String realm, java.lang.String target, java.lang.String permClass)`
`java.security.PermissionCollection` | `getPermissions()`
`oracle.security.jazn.policy.JAZNPolicy` | `getRealmPolicy(oracle.security.jazn.realm.Realm realm)`
`java.util.ArrayList` | `getRolePermissions(oracle.security.jazn.realm.RealmRole realmRole, java.lang.String target, java.lang.String permClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_PERMISSION_CLASS

    public static final java.lang.String ENTITY_PERMISSION_CLASS

  See Also:
    Constant Field Values

### ENTITYATTRIBUTE_PERMISSION_CLASS

    public static final java.lang.String ENTITYATTRIBUTE_PERMISSION_CLASS

  See Also:
    Constant Field Values

Constructor Detail

### JboJAZNPolicyManager

    public JboJAZNPolicyManager(JboJAASContext ctx)

Method Detail

### getJAASContext

    public JboJAASContext getJAASContext()

  Specified by:
    `getJAASContext` in interface `JboJAASPolicyManager`

### getPermissions

    public java.security.PermissionCollection getPermissions()

  Specified by:
    `getPermissions` in interface `JboJAASPolicyManager`

### getPermission

    public byte getPermission(java.lang.String realmrole,
                              java.lang.String target,
                              java.lang.String permClass)

  Specified by:
    `getPermission` in interface `JboJAASPolicyManager`

### getPermission

    public byte getPermission(java.lang.String role,
                              java.lang.String realm,
                              java.lang.String target,
                              java.lang.String permClass)

  Specified by:
    `getPermission` in interface `JboJAASPolicyManager`

### getGlobalPolicy

    public oracle.security.jazn.policy.JAZNPolicy getGlobalPolicy()

### getRealmPolicy

    public oracle.security.jazn.policy.JAZNPolicy getRealmPolicy(oracle.security.jazn.realm.Realm realm)

### getRolePermissions

    public java.util.ArrayList getRolePermissions(oracle.security.jazn.realm.RealmRole realmRole,
                                                  java.lang.String target,
                                                  java.lang.String permClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.